Fastfold Docs
Library

Search Library

Search library items by name with optional recent-mode behavior.

GET
/v1/library/search

Authorization

bearerAuth

AuthorizationBearer <token>

Bearer token authentication. Use your API key with: Authorization: Bearer <YOUR_API_KEY>

In: header

Query Parameters

q?string
limit?integer
Default20
recent?boolean

Response Body

application/json

application/json

curl -X GET "https://api.fastfold.ai/v1/library/search"
{
  "q": "workflow",
  "count": 1,
  "results": [
    {
      "id": "75f9dca4-7d64-4bc2-8b18-a08ad6d2f4b3",
      "name": "workflow.yml",
      "type": "file",
      "fileType": "input",
      "createdAt": "2026-02-22T20:31:33.007374",
      "updatedAt": "2026-02-22T20:31:34.316422",
      "parentId": "13b7cf85-2e55-4fd2-8750-b3b4517e6f62",
      "parentName": "Workflow Inputs",
      "metadata": {}
    }
  ]
}
{
  "message": "string"
}

Last updated on